import * as cdk from 'aws-cdk-lib';
import * as events from 'aws-cdk-lib/aws-events';
import * as iam from 'aws-cdk-lib/aws-iam';
import * as lambda from 'aws-cdk-lib/aws-lambda';
import * as sns from 'aws-cdk-lib/aws-sns';
import { Construct } from 'constructs';
import { FsxLifecycleStatusMonitorProps } from './monitorProps';
export declare class FsxLifecycleStatusMonitor extends Construct {
    static readonly DEFAULT_SCHEDULE: cdk.aws_events.Schedule;
    fn: lambda.Function;
    topic: sns.Topic;
    policy: iam.Policy;
    rule: events.Rule;
    /**
     * Creates an instance of FsxLifecycleStatusMonitor.
     * @param {Construct} scope - parent construct
     * @param {string} id - unique id
     * @memberof FsxLifecycleStatusMonitor - class instance
     */
    constructor(scope: Construct, id: string, props: FsxLifecycleStatusMonitorProps);
    /**
     * Topic linked to the Lambda function.
     *
     * @return {*}  {sns.Topic} - sns topic
     * @memberof FsxLifecycleStatusMonitor - class instance
     */
    createSNSTopic(): sns.Topic;
    createIamPolicy(): iam.Policy;
    /**
     *
     *
     * @return {*}  {lambda.Function}
     * @memberof FsxLifecycleStatusMonitor
     */
    createLambdaFunction(): lambda.Function;
}
